V3 Update Internal User

Update an Encompass internal user. Also, use this call to disable an Encompass user account.

This API added with the 24.2 release of Encompass.

Usage Notes

  • Access Rights
    • Only administrators (admin account, Super Administrator persona, and/or Administrator persona) or non-admin users with the Settings “Organizations/User” persona can update user accounts.
    • The calling user only has access to update users within their same organization, or lower child organizations of their organization.
  • PATCH call will update existing attributes with the values provided in the request body.
  • To remove a string value, use ‘null’.
  • Personas
    • For the Personas array, the PATCH call acts as a replacement operation. It will replace the entire collection of personas with the values provided in the request.
      Example: User has persona “1”, and a PATCH call is made providing personas “2” and “3”. Persona “1” will be replaced with “2” and “3”.
    • If you want to add personas to a user, you must send the current persona(s) and also the personas you are adding. Example: User has persona “1” and you want to add “2” and “3”. You should send “1”, “2”, and “3” in the request.
    • If you do not know what personas the user currently has, perform GET /v3/users/{userId} call to retrieve the current personas.
    • At least one persona is required. If you attempt to remove the personas, you will receive an error.
  • Licenses collection
    • The licenses collection is a fix list of all 50 states, plus territories. It is not possible to remove a state license from the list.
    • To activate a state license, set ‘selected’ attribute to ‘true’. To deactivate a state, set ‘selected’ to false.
  • Compensation Plans
Path Params
string
required

Unique identifier of the user.

Query Params
string

Optional. View type parameter. Enumerations: entity, id
When no view parameter is provided, the API will return 204 - No Content with no response body.

Body Params
string
required

Required. Unique Identifier of the user. The ID the user will type when logging in. The ID can’t start with a period (.).
The following characters can’t be used:

  • \ (backslash)
  • / (forward slash)
  • : (colon)
  • * (asterisk)
  • ? (question mark)
  • (quotation mark)
  • < (less than)
  • > (greater than)
    Max length: 16
string

Required. First name of the user. Max length: 64.

string

Middle name of the user. Max length: 64.

string

Required. Last name of the user. Max length: 64.

string

Suffix of the user. Max length: 64.

string

RetrieveOnly. Full name of user.

boolean

Indicates whether the user account is locked out due to failed log-in attempt. Automatically set to false if a user exceeds the allowed failed log-in attempts (as specified in the Password Management tool). Set to true to remove the restriction and allow the user to log in again. If not provided when creating a user, default value is 'true'.

boolean

Indicates whether the user account is deactivated. Set to false when you want to deactivate a user account and prohibit them from accessing Encompass. Set to true to reactivate the user account and allow the user to access Encompass again. If not provided when creating a user, default value is 'true'.

string

User’s login password. The password must meet the requirements established in the Password Management tool. Password must follow the password guidelines configured in Server Settings Manager. Password is optional for SSO user and API user. Max length: 50.

string

Job title of the user. Max length: 64.

string

Required. Email address of the user. Max length: 64.
Format: ######@###.###

string

Phone number of the user. Format: ###-###-#### ####

string

Cell phone number of the user. Format: ###-###-#### ####

string

Fax number of the user. Format: ###-###-#### ####

string

Employee ID of the user for the organization.

string

Number assigned to the user for use with the HUD Computerized Homes Underwriting Management System (CHUMS).

string

Enter user's Nationwide Mortgage Licensing System (NMLS) Loan Originator ID (NMLS number). If the user is a loan officer, this number is added to Page 3 of the 1003 application when they are assigned to the loan.

date-time

The expiration date for the user’s Nationwide Mortgage Licensing System (NMLS) Loan Originator ID (NMLS number). When the NMLS number expires, loan team members will not be able to assign loans in that state to the user. If a loan has already been assigned to the user and their NMLS number subsequently expires (or if the user tries to originate a new loan after the expiration date) they will not be able to enter the Subject Property State in the loan file. If the NMLS Expiration Date is left blank, Encompass assumes the NMLS number never expires. Format: [Date: yyyy-MM-dd]

string

Loan Folder that opens the first time the user accesses the Pipeline. Only one can be selected. From an API perspective, it will be stored in string property but folder name validation has to be done.

boolean

Indicates if the user is an API user. The purpose of the API User check box is to provide Encompass administrators the ability to grant a consulting Encompass Partner with access to your company's Encompass instance and access to your company's APIs stored in Encompass Developer Connect.

  • Only appears when creating new users.
  • Does count against your company's enabled user license limits.
  • This check box is intended for use with Supported Encompass Partners only and should not be used for users within your organization. Once the Partner and the Encompass administrator complete the required process, the Partner will be recognized as a Supported Encompass Partner and they will be able to access your company's Encompass instance via APIs.
  • The administrator will be able to assign the required privileges to this API user just as they would for any other Encompass user. However, this API user will not be able to log into any Encompass instances via Encompass.
boolean
Defaults to false

This is used to enable SSO login. The 'isSsoOnly' attribute can be provided only if 'password' attribute is not provided. Default value is false. This attribute indicates when the user’s Login Access level is linked to their Organization.

  • When this attribute is true, the user must log into Encompass using Single Sign-On credentials with their company's identity service provider (IdP) only. They will not be permitted to log in using their Encompass user name and password credentials.
  • When this attribute is false, the user’s login access level is “Full Access” and users can log into Encompass using their Encompass user name and password credentials OR Single Sign-On credentials with their company's IdP.

Refer to the Setting Up SSO in Encompass guide for complete details about setting up SSO and this attribute. Values are 'true' or 'false'. This is enabled in Encompass based on Company settings Category : PASSWORD. Attribute :SSOLOGIN.

boolean

Indicates if the SSO user is connected to the org or disconnected from the org. Values are 'true' or 'false'.

boolean

To enable other Encompass Partners or other individuals to access your company's APIs by using this user account to call the APIs. Values are 'true' or 'false'. This 'allowImpersonation' attribute can only be set true when 'apiUser' is true.

boolean
Defaults to false

This forces user to change the password on first login. Values are 'true' or 'false'. Default value is 'false'.

personas
array of objects

Array of objects containing the entity information for the personas associated to the user. The persona controls the views and features available to the user.

personas
groups
array of objects

Array of objects containing the entity information for the list of user groups associated with the user.

groups
licenses
array of objects

States in which the user is licensed to originate loans. The user can start a loan only if the subject property is in a state in which the user is licensed. When a state license expires, loan team members will not be able to assign loans in that state to the loan officer. If the Expiration Date field is left blank, Encompass assumes the license never expires. Refer to attributes listed in the User State License contract table.

licenses
compensationPlans
object

Collection of attributes related to the user’s assigned current, future, and/or historical compensation plans. Refer to attributes listed in the AssignedCompPlansContract.

organization
object

The organization the user is a member of.

orgHierarchy
array of objects

The organization the user is a member of.

orgHierarchy
date-time

The DateTime that the user was created. Format: [DateTime: yyyy-MM-ddTHH:mm:ssZ]

createdBy
object

The entity and id that created the user.

date-time

RetrieveOnly. The most recent DateTime that the user was updated.
Format: [DateTime: yyyy-MM-ddTHH:mm:ssZ]

lastModifiedBy
object

The entity and id that last updated the user.

date-time

Date and time when the user last logged in.
Format: [DateTime: yyyy-MM-ddTHH:mm:ssZ]

string

oAuthClientId is required when API user flag is true. Max length: 100

string

Access level to other uers's loans, when the user is in a lower level of the organization hierarchy as this user.
Enumerations: ReadOnly, ReadWrite (ReadOnly is the default.)

string

Access level to other uers's loans, when the user is in the same level of the organization hierarchy as this user.
Enumerations: Disabled, ReadOnly, ReadWrite (Disabled is the default.)

userIndicators
array of strings

RetrieveOnly. This field value will indicate if the user is one of the following enumerations:

  • TopLevelUser
  • TopLevelAdministrator
  • Administrator
  • SuperAdministrator
userIndicators
ccSite
array of objects

Array with ccSite information.

ccSite
string

Free-form comments.

string

The e-mail signature of the user.

Headers
string
required

Bearer token

Responses
204

No Content

400

Bad Request

404

Not Found

Language
URL
LoadingLoading…